DatatypeConstants (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.datatype, class: DatatypeConstants
Keywords: javax.xml.datatype.DatatypeConstants class

# Class DatatypeConstants

java.lang.Object
javax.xml.datatype.DatatypeConstants

public final class DatatypeConstants extends Object

Utility class to contain basic Datatype values as constants.

Since:
  1.5

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DatatypeConstants.Field`
  Type-safe enum class that represents six fields of the `Duration` class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `APRIL`
  Value for fourth month of year.
  `static final int`
  `AUGUST`
  Value for eighth month of year.
  `static final QName`
  `DATE`
  Fully qualified name for W3C XML Schema 1.0 datatype `date`.
  `static final QName`
  `DATETIME`
  Fully qualified name for W3C XML Schema 1.0 datatype `dateTime`.
  `static final DatatypeConstants.Field`
  `DAYS`
  A constant that represents the days field.
  `static final int`
  `DECEMBER`
  Value for twelve month of year.
  `static final QName`
  `DURATION`
  Fully qualified name for W3C XML Schema datatype `duration`.
  `static final QName`
  `DURATION_DAYTIME`
  Fully qualified name for XQuery 1.0 and XPath 2.0 datatype `dayTimeDuration`.
  `static final QName`
  `DURATION_YEARMONTH`
  Fully qualified name for XQuery 1.0 and XPath 2.0 datatype `yearMonthDuration`.
  `static final int`
  `EQUAL`
  Comparison result.
  `static final int`
  `FEBRUARY`
  Value for second month of year.
  `static final int`
  `FIELD_UNDEFINED`
  Designation that an "int" field is not set.
  `static final QName`
  `GDAY`
  Fully qualified name for W3C XML Schema 1.0 datatype `gDay`.
  `static final QName`
  `GMONTH`
  Fully qualified name for W3C XML Schema 1.0 datatype `gMonth`.
  `static final QName`
  `GMONTHDAY`
  Fully qualified name for W3C XML Schema 1.0 datatype `gMonthDay`.
  `static final int`
  `GREATER`
  Comparison result.
  `static final QName`
  `GYEAR`
  Fully qualified name for W3C XML Schema 1.0 datatype `gYear`.
  `static final QName`
  `GYEARMONTH`
  Fully qualified name for W3C XML Schema 1.0 datatype `gYearMonth`.
  `static final DatatypeConstants.Field`
  `HOURS`
  A constant that represents the hours field.
  `static final int`
  `INDETERMINATE`
  Comparison result.
  `static final int`
  `JANUARY`
  Value for first month of year.
  `static final int`
  `JULY`
  Value for seventh month of year.
  `static final int`
  `JUNE`
  Value for sixth month of year.
  `static final int`
  `LESSER`
  Comparison result.
  `static final int`
  `MARCH`
  Value for third month of year.
  `static final int`
  `MAX_TIMEZONE_OFFSET`
  W3C XML Schema max timezone offset is -14:00.
  `static final int`
  `MAY`
  Value for fifth month of year.
  `static final int`
  `MIN_TIMEZONE_OFFSET`
  W3C XML Schema min timezone offset is +14:00.
  `static final DatatypeConstants.Field`
  `MINUTES`
  A constant that represents the minutes field.
  `static final DatatypeConstants.Field`
  `MONTHS`
  A constant that represents the months field.
  `static final int`
  `NOVEMBER`
  Value for eleven month of year.
  `static final int`
  `OCTOBER`
  Value for tenth month of year.
  `static final DatatypeConstants.Field`
  `SECONDS`
  A constant that represents the seconds field.
  `static final int`
  `SEPTEMBER`
  Value for ninth month of year.
  `static final QName`
  `TIME`
  Fully qualified name for W3C XML Schema 1.0 datatype `time`.
  `static final DatatypeConstants.Field`
  `YEARS`
  A constant that represents the years field.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### JANUARY

    public static final int JANUARY
    Value for first month of year.
    See Also:
      - Constant Field Values

  - ### FEBRUARY

    public static final int FEBRUARY
    Value for second month of year.
    See Also:
      - Constant Field Values

  - ### MARCH

    public static final int MARCH
    Value for third month of year.
    See Also:
      - Constant Field Values

  - ### APRIL

    public static final int APRIL
    Value for fourth month of year.
    See Also:
      - Constant Field Values

  - ### MAY

    public static final int MAY
    Value for fifth month of year.
    See Also:
      - Constant Field Values

  - ### JUNE

    public static final int JUNE
    Value for sixth month of year.
    See Also:
      - Constant Field Values

  - ### JULY

    public static final int JULY
    Value for seventh month of year.
    See Also:
      - Constant Field Values

  - ### AUGUST

    public static final int AUGUST
    Value for eighth month of year.
    See Also:
      - Constant Field Values

  - ### SEPTEMBER

    public static final int SEPTEMBER
    Value for ninth month of year.
    See Also:
      - Constant Field Values

  - ### OCTOBER

    public static final int OCTOBER
    Value for tenth month of year.
    See Also:
      - Constant Field Values

  - ### NOVEMBER

    public static final int NOVEMBER
    Value for eleven month of year.
    See Also:
      - Constant Field Values

  - ### DECEMBER

    public static final int DECEMBER
    Value for twelve month of year.
    See Also:
      - Constant Field Values

  - ### LESSER

    public static final int LESSER

    Comparison result.

    See Also:
      - Constant Field Values

  - ### EQUAL

    public static final int EQUAL

    Comparison result.

    See Also:
      - Constant Field Values

  - ### GREATER

    public static final int GREATER

    Comparison result.

    See Also:
      - Constant Field Values

  - ### INDETERMINATE

    public static final int INDETERMINATE

    Comparison result.

    See Also:
      - Constant Field Values

  - ### FIELD_UNDEFINED

    public static final int FIELD_UNDEFINED
    Designation that an "int" field is not set.
    See Also:
      - Constant Field Values

  - ### YEARS

    public static final DatatypeConstants.Field YEARS

    A constant that represents the years field.

  - ### MONTHS

    public static final DatatypeConstants.Field MONTHS

    A constant that represents the months field.

  - ### DAYS

    public static final DatatypeConstants.Field DAYS

    A constant that represents the days field.

  - ### HOURS

    public static final DatatypeConstants.Field HOURS

    A constant that represents the hours field.

  - ### MINUTES

    public static final DatatypeConstants.Field MINUTES

    A constant that represents the minutes field.

  - ### SECONDS

    public static final DatatypeConstants.Field SECONDS

    A constant that represents the seconds field.

  - ### DATETIME

    public static final QName DATETIME

    Fully qualified name for W3C XML Schema 1.0 datatype `dateTime`.

  - ### TIME

    public static final QName TIME

    Fully qualified name for W3C XML Schema 1.0 datatype `time`.

  - ### DATE

    public static final QName DATE

    Fully qualified name for W3C XML Schema 1.0 datatype `date`.

  - ### GYEARMONTH

    public static final QName GYEARMONTH

    Fully qualified name for W3C XML Schema 1.0 datatype `gYearMonth`.

  - ### GMONTHDAY

    public static final QName GMONTHDAY

    Fully qualified name for W3C XML Schema 1.0 datatype `gMonthDay`.

  - ### GYEAR

    public static final QName GYEAR

    Fully qualified name for W3C XML Schema 1.0 datatype `gYear`.

  - ### GMONTH

    public static final QName GMONTH

    Fully qualified name for W3C XML Schema 1.0 datatype `gMonth`.

  - ### GDAY

    public static final QName GDAY

    Fully qualified name for W3C XML Schema 1.0 datatype `gDay`.

  - ### DURATION

    public static final QName DURATION

    Fully qualified name for W3C XML Schema datatype `duration`.

  - ### DURATION_DAYTIME

    public static final QName DURATION_DAYTIME

    Fully qualified name for XQuery 1.0 and XPath 2.0 datatype `dayTimeDuration`.

  - ### DURATION_YEARMONTH

    public static final QName DURATION_YEARMONTH

    Fully qualified name for XQuery 1.0 and XPath 2.0 datatype `yearMonthDuration`.

  - ### MAX_TIMEZONE_OFFSET

    public static final int MAX_TIMEZONE_OFFSET
    W3C XML Schema max timezone offset is -14:00. Zone offset is in minutes.
    See Also:
      - Constant Field Values

  - ### MIN_TIMEZONE_OFFSET

    public static final int MIN_TIMEZONE_OFFSET
    W3C XML Schema min timezone offset is +14:00. Zone offset is in minutes.
    See Also:
      - Constant Field Values